CalendarKit actively accepts contributions in a form of pull requests (code changes) and issues (bug reports and feature requests). If you wish to submit a pull request, feel free to raise an issue first to discuss the implementation details and your approach.

If you have a **programming question** about how to use CalendarKit in your application, ask it on StackOverflow with the [CalendarKit](https://stackoverflow.com/questions/tagged/calendarkit) tag.

Please, use [GitHub Issues](https://github.com/richardtop/CalendarKit/issues) only for reporting a bug or requesting a new feature.



## Code Style
When submitting a pull request, adhering to the code style is recommended, although not compulsory.

This project has the following code style:

* Indent with spaces (not tabs)
* Tab width: 2 spaces
* Indent with: 2 spaces
* No file headers
* Curly braces open on the same line as the code

### Examples

**Incorrect:**

```Swift
//
//  File.swift
//  CalendarKit
//
//  Created by user on 29/09/2017.
//

import Foundation

class aClass
{
    func aFunction()
    {
        
    }
}
```

**Correct:**

```Swift
import Foundation

class aClass {
  func aFunction() {
    
  }
}

```
